SchoolScout API
Lists

List user lists

Get all lists for the current user. **Free (0 credits).**

GET
/lists

Get all lists for the current user. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Query Parameters

entity_type?string

Filter by entity type: district, school, contact

limit?integer

Maximum lists to return

Default50
Rangevalue <= 200
offset?integer

Pagination offset

Default0

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/lists"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "user_id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "string",
      "entity_type": "district",
      "description": "string",
      "color": "string",
      "item_count": -9007199254740991,
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "pagination": {
    "total": -9007199254740991,
    "limit": -9007199254740991,
    "offset": -9007199254740991,
    "has_more": true
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}